/**
 * Scatter points onto a geometry
 *
 */
import { TypedSopNode } from './_Base';
import { CoreGroup } from '../../../core/geometry/Group';
import { NodeParamsConfig } from '../utils/params/ParamsConfig';
declare class ScatterSopParamsConfig extends NodeParamsConfig {
    /** @param number of points to create */
    pointsCount: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.INTEGER>;
    /** @param seed to affect the distribution of points */
    seed: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.INTEGER>;
    /** @param toggle on to transfer attribute from the input geometry to the created points */
    transferAttributes: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.BOOLEAN>;
    /** @param names of the attributes to transfer */
    attributesToTransfer: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.STRING>;
    /** @param add an id attribute, starting at 0, incrementing by 1 for each point (0,1,2,3...) */
    addIdAttribute: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.BOOLEAN>;
    /** @param add an idn attribute, which is the id normalized between 0 and 1 */
    addIdnAttribute: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.BOOLEAN>;
}
export declare class ScatterSopNode extends TypedSopNode<ScatterSopParamsConfig> {
    params_config: ScatterSopParamsConfig;
    static type(): string;
    static displayedInputNames(): string[];
    initializeNode(): void;
    private _operation;
    cook(input_contents: CoreGroup[]): Promise<void>;
}
export {};
